## ev-view

ev-view

## Functions

GtkWidget * | ev_view_new ()
void | ev_view_set_model ()
gboolean | ev_view_is_loading ()
void | ev_view_reload ()
void | ev_view_copy ()
void | ev_view_copy_link_address ()
void | ev_view_select_all ()
gboolean | ev_view_get_has_selection ()
gboolean | ev_view_can_zoom_in ()
void | ev_view_zoom_in ()
gboolean | ev_view_can_zoom_out ()
void | ev_view_zoom_out ()
void | ev_view_find_next ()
void | ev_view_find_previous ()
void | ev_view_find_search_changed ()
void | ev_view_find_set_highlight_search ()
void | ev_view_find_started ()
void | ev_view_find_restart ()
void | ev_view_find_cancel ()
void | ev_view_find_set_result ()
void | ev_view_highlight_forward_search ()
void | ev_view_hide_cursor ()
void | ev_view_show_cursor ()
void | ev_view_handle_link ()
gboolean | ev_view_next_page ()
gboolean | ev_view_previous_page ()
void | ev_view_autoscroll_start ()
void | ev_view_autoscroll_stop ()
void | ev_view_begin_add_annotation ()
void | ev_view_cancel_add_annotation ()
void | ev_view_focus_annotation ()
gboolean | ev_view_get_page_extents ()
void | ev_view_set_page_cache_size ()
gboolean | ev_view_is_caret_navigation_enabled ()
void | ev_view_set_caret_cursor_position ()
void | ev_view_set_caret_navigation_enabled ()
gboolean | ev_view_supports_caret_navigation ()
void | ev_view_set_loading ()
void | ev_view_find_changed ()
void | ev_view_scroll ()

## Properties

gboolean | can-zoom-in | Read
gboolean | can-zoom-out | Read
gboolean | is-loading | Read

## Signals

void | activate | Action
void | annot-added | Action
void | annot-removed | Action
void | cursor-moved | Run Last
void | external-link | Action
void | handle-link | Action
void | layers-changed | Action
gboolean | move-cursor | Action
void | popup | Action
void | scroll | Action
void | selection-changed | Action
void | sync-source | Action

## Types and Values

| EvView
| EvViewClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── EvView

## Implemented Interfaces

EvView implements AtkImplementorIface, GtkBuildable and GtkScrollable.

## Description

## Functions

### ev_view_new ()

    GtkWidget *
    ev_view_new (void);

### ev_view_set_model ()

    void
    ev_view_set_model (EvView *view,
                       EvDocumentModel *model);

### ev_view_is_loading ()

    gboolean
    ev_view_is_loading (EvView *view);

Since: 3.8

### ev_view_reload ()

    void
    ev_view_reload (EvView *view);

### ev_view_copy ()

    void
    ev_view_copy (EvView *view);

### ev_view_copy_link_address ()

    void
    ev_view_copy_link_address (EvView *view,
                               EvLinkAction *action);

### ev_view_select_all ()

    void
    ev_view_select_all (EvView *view);

### ev_view_get_has_selection ()

    gboolean
    ev_view_get_has_selection (EvView *view);

### ev_view_can_zoom_in ()

    gboolean
    ev_view_can_zoom_in (EvView *view);

### ev_view_zoom_in ()

    void
    ev_view_zoom_in (EvView *view);

### ev_view_can_zoom_out ()

    gboolean
    ev_view_can_zoom_out (EvView *view);

### ev_view_zoom_out ()

    void
    ev_view_zoom_out (EvView *view);

### ev_view_find_next ()

    void
    ev_view_find_next (EvView *view);

### ev_view_find_previous ()

    void
    ev_view_find_previous (EvView *view);

### ev_view_find_search_changed ()

    void
    ev_view_find_search_changed (EvView *view);

### ev_view_find_set_highlight_search ()

    void
    ev_view_find_set_highlight_search (EvView *view,
                                       gboolean value);

### ev_view_find_started ()

    void
    ev_view_find_started (EvView *view,
                          EvJobFind *job);

Since: 3.6

### ev_view_find_restart ()

    void
    ev_view_find_restart (EvView *view,
                          gint page);

Since: 3.12

### ev_view_find_cancel ()

    void
    ev_view_find_cancel (EvView *view);

### ev_view_find_set_result ()

    void
    ev_view_find_set_result (EvView *view,
                             gint page,
                             gint result);

Since: 3.10

### ev_view_highlight_forward_search ()

    void
    ev_view_highlight_forward_search (EvView *view,
                                      EvSourceLink *link);

### ev_view_hide_cursor ()

    void
    ev_view_hide_cursor (EvView *view);

### ev_view_show_cursor ()

    void
    ev_view_show_cursor (EvView *view);

### ev_view_handle_link ()

    void
    ev_view_handle_link (EvView *view,
                         EvLink *link);

### ev_view_next_page ()

    gboolean
    ev_view_next_page (EvView *view);

### ev_view_previous_page ()

    gboolean
    ev_view_previous_page (EvView *view);

### ev_view_autoscroll_start ()

    void
    ev_view_autoscroll_start (EvView *view);

### ev_view_autoscroll_stop ()

    void
    ev_view_autoscroll_stop (EvView *view);

### ev_view_begin_add_annotation ()

    void
    ev_view_begin_add_annotation (EvView *view,
                                  EvAnnotationType annot_type);

### ev_view_cancel_add_annotation ()

    void
    ev_view_cancel_add_annotation (EvView *view);

### ev_view_focus_annotation ()

    void
    ev_view_focus_annotation (EvView *view,
                              EvMapping *annot_mapping);

### ev_view_get_page_extents ()

    gboolean
    ev_view_get_page_extents (EvView *view,
                              gint page,
                              GdkRectangle *page_area,
                              GtkBorder *border);

### ev_view_set_page_cache_size ()

    void
    ev_view_set_page_cache_size (EvView *view,
                                 gsize cache_size);

### ev_view_is_caret_navigation_enabled ()

    gboolean
    ev_view_is_caret_navigation_enabled (EvView *view);

### ev_view_set_caret_cursor_position ()

    void
    ev_view_set_caret_cursor_position (EvView *view,
                                       guint page,
                                       guint offset);

Since: 3.10

### ev_view_set_caret_navigation_enabled ()

    void
    ev_view_set_caret_navigation_enabled (EvView *view,
                                          gboolean enabled);

Since: 3.10

### ev_view_supports_caret_navigation ()

    gboolean
    ev_view_supports_caret_navigation (EvView *view);

Since: 3.10

### ev_view_set_loading ()

    void
    ev_view_set_loading (EvView *view,
                         gboolean loading);

`ev_view_set_loading` has been deprecated since version 3.8 and should not be used in newly-written code.

### ev_view_find_changed ()

    void
    ev_view_find_changed (EvView *view,
                          GList **results,
                          gint page);

`ev_view_find_changed` has been deprecated since version 3.6 and should not be used in newly-written code.

Use `ev_view_find_started()` instead

[skip]

#### Parameters

view | an EvView |
results | the results as returned by `ev_job_find_get_results()` |
page | page index |

### ev_view_scroll ()

    void
    ev_view_scroll (EvView *view,
                    GtkScrollType scroll,
                    gboolean horizontal);

`ev_view_scroll` has been deprecated since version 3.10 and should not be used in newly-written code.

#### Parameters

view | a EvView |

## Types and Values

### EvView

    typedef struct _EvView EvView;

### EvViewClass

    typedef struct _EvViewClass EvViewClass;

## Property Details

### The `“can-zoom-in”` property

      “can-zoom-in”              gboolean

Whether the view can be zoomed in further.

Flags: Read

Default value: TRUE

Since: 3.8

### The `“can-zoom-out”` property

      “can-zoom-out”             gboolean

Whether the view can be zoomed out further.

Flags: Read

Default value: TRUE

Since: 3.8

### The `“is-loading”` property

      “is-loading”               gboolean

Whether the view is loading.

Flags: Read

Default value: FALSE

## Signal Details

### The `“activate”` signal

    void
    user_function (EvView  *evview,
                   gpointer user_data)

Flags: Action

### The `“annot-added”` signal

    void
    user_function (EvView       *evview,
                   EvAnnotation *arg1,
                   gpointer      user_data)

Flags: Action

### The `“annot-removed”` signal

    void
    user_function (EvView       *evview,
                   EvAnnotation *arg1,
                   gpointer      user_data)

Flags: Action

### The `“cursor-moved”` signal

    void
    user_function (EvView  *evview,
                   gint     arg1,
                   gint     arg2,
                   gpointer user_data)

Flags: Run Last

### The `“external-link”` signal

    void
    user_function (EvView  *evview,
                   GObject *arg1,
                   gpointer user_data)

#### Parameters

evview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“handle-link”` signal

    void
    user_function (EvView  *evview,
                   GObject *arg1,
                   gpointer user_data)

#### Parameters

evview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“layers-changed”` signal

    void
    user_function (EvView  *evview,
                   gpointer user_data)

Flags: Action

### The `“move-cursor”` signal

    gboolean
    user_function (EvView         *evview,
                   GtkMovementStep arg1,
                   gint            arg2,
                   gboolean        arg3,
                   gpointer        user_data)

Flags: Action

### The `“popup”` signal

    void
    user_function (EvView  *evview,
                   gpointer arg1,
                   gpointer user_data)

#### Parameters

evview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“scroll”` signal

    void
    user_function (EvView        *evview,
                   GtkScrollType  arg1,
                   GtkOrientation arg2,
                   gpointer       user_data)

Flags: Action

### The `“selection-changed”` signal

    void
    user_function (EvView  *evview,
                   gpointer user_data)

#### Parameters

evview | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“sync-source”` signal

    void
    user_function (EvView  *evview,
                   gpointer arg1,
                   gpointer user_data)

Flags: Action